<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:91cb0f49-f811-493b-989c-f76c6482c743,g:7f29d403-08d5-48c9-ae1c-1c70453c9d79-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:tnl="http://www.travelandleisureco.com/20240322" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types1="http://www.xbrl.org/dtr/type/2020-01-21" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.travelandleisureco.com/20240322">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei-sub/2023" schemaLocation="https://xbrl.sec.gov/dei/2023/dei-sub-2023.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd-sub/2023" schemaLocation="https://xbrl.sec.gov/ecd/2023/ecd-sub-2023.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tnl-20240322_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tnl-20240322_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="tnl-20240322_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" abstract="true" name="IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" abstract="true" name="DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" abstract="true" name="DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_NoahBrodskyMember" abstract="true" name="NoahBrodskyMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" abstract="true" name="IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_BradDettmerMember" abstract="true" name="BradDettmerMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" abstract="true" name="IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" abstract="true" name="IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" abstract="true" name="IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
</xs:schema>
